Bug 1662071 - Using Eigen-3.3.6 causes compilation error in debug mode.
Summary: Using Eigen-3.3.6 causes compilation error in debug mode.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eigen3
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL: http://eigen.tuxfamily.org/bz/show_bu...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-26 00:03 UTC by Christoph Junghans
Modified: 2019-01-06 02:21 UTC (History)
5 users (show)

Fixed In Version: eigen3-3.3.7-1.fc28 eigen3-3.3.7-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-06 01:51:24 UTC


Attachments (Terms of Use)

Description Christoph Junghans 2018-12-26 00:03:37 UTC
Compilation options: cmake -DCMAKE_BUILD_TYPE=Debug for votca leads to:

[  2%] Building CXX object tools/src/libtools/CMakeFiles/votca_tools.dir/cubicspline.cc.o
In file included from /usr/include/eigen3/Eigen/Core:491,
                 from /usr/include/eigen3/Eigen/Dense:1,
                 from /votca/tools/include/votca/tools/eigen.h:49,
                 from /votca/tools/include/votca/tools/spline.h:21,
                 from /votca/tools/include/votca/tools/cubicspline.h:21,
                 from /votca/tools/src/libtools/cubicspline.cc:18:
/usr/include/eigen3/Eigen/src/Core/products/GeneralBlockPanelKernel.h: In member function ‘void Eigen::internal::gebp_kernel<LhsScalar, RhsScalar, Index, DataMapper, mr, nr, ConjugateLhs, ConjugateRhs>::operator()(const DataMapper&, const LhsScalar*, const RhsScalar*, Index, Index, Index, Eigen::internal::gebp_kernel<LhsScalar, RhsScalar, Index, DataMapper, mr, nr, ConjugateLhs, ConjugateRhs>::ResScalar, Index, Index, Index, Index) [with LhsScalar = double; RhsScalar = double; Index = long int; DataMapper = Eigen::internal::blas_data_mapper<double, long int, 0, 0>; int mr = 4; int nr = 4; bool ConjugateLhs = false; bool ConjugateRhs = false]’:
/usr/include/eigen3/Eigen/src/Core/products/GeneralBlockPanelKernel.h:1203:104: error: inconsistent operand constraints in an ‘asm’
             #define EIGEN_GEBP_2PX4_SPILLING_WORKAROUND __asm__  ("" : [a0] "+rm" (A0),[a1] "+rm" (A1));
                                                                                                        ^

details see https://github.com/votca/tools/issues/85

Comment 1 Itai Nahshon 2018-12-26 08:24:02 UTC
Similar problem here, compiling FreeCAD on Fedora-28 after latest updates to eigen3-devel-3.3.6-1.fc28.noarch
.

Comment 2 Fedora Update System 2018-12-26 10:45:46 UTC
mingw-eigen3-3.3.7-1.fc29 eigen3-3.3.7-1.fc29 ceres-solver-1.13.0-10.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5905fb6984

Comment 3 Fedora Update System 2018-12-26 10:45:50 UTC
mingw-eigen3-3.3.7-1.fc28 eigen3-3.3.7-1.fc28 ceres-solver-1.13.0-10.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f5393a1f2

Comment 4 Fedora Update System 2018-12-27 02:34:36 UTC
ceres-solver-1.13.0-10.fc29, eigen3-3.3.7-1.fc29, mingw-eigen3-3.3.7-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5905fb6984

Comment 5 Fedora Update System 2018-12-27 02:58:07 UTC
ceres-solver-1.13.0-10.fc28, eigen3-3.3.7-1.fc28, mingw-eigen3-3.3.7-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f5393a1f2

Comment 6 Federic 2018-12-29 10:02:03 UTC
I was similarly having problems with building FreeCAD but my Fed29 does not seem to have any knowlege of this alleged eigen3 component reported in #4
 eigen3-3.3.7-1.fc29


dnf search  eigen3
======================================================================= Name Matched: eigen3 ========================================================================
eigen3-doc.noarch : Developer documentation for Eigen
eigen3-devel.noarch : A lightweight C++ template library for vector and matrix math
mingw32-eigen3.noarch : MinGW lightweight C++ template library for vector and matrix math
mingw64-eigen3.noarch : MinGW lightweight C++ template library for vector and matrix math


The update has only just been submitted but why don't I have 3.3.6 ? Is there some carelessness in what is being posted here?

Comment 7 Christoph Junghans 2018-12-30 15:41:57 UTC
(In reply to Federic from comment #6)
> The update has only just been submitted but why don't I have 3.3.6 ? Is
> there some carelessness in what is being posted here?
Try:
$ dnf install eigen3 --enablerepo=updates-testing

Comment 8 Federic 2018-12-30 16:03:53 UTC
 I'd already downgraded ( well 'down' in the sense that it's not broken ) to 3.5.5 so I needed to use update, rather than install. 

gets me the new 3.5.7 :)

many thanks.

Comment 9 Fedora Update System 2019-01-06 01:51:24 UTC
ceres-solver-1.13.0-10.fc28, eigen3-3.3.7-1.fc28, mingw-eigen3-3.3.7-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-01-06 02:21:47 UTC
ceres-solver-1.13.0-10.fc29, eigen3-3.3.7-1.fc29, mingw-eigen3-3.3.7-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.